module inputin

interface
integer function InitApplication(hInstance)
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_InitApplication@4' :: InitApplication
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS : 'InitApplication' :: InitApplication
!DEC$ ENDIF
integer         hInstance
end function InitApplication
end interface

interface
integer function InitInstance(hInstance,nCmdShow)
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_InitInstance@8' :: InitInstance
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS : 'InitInstance' :: InitInstance
!DEC$ ENDIF
integer         hInstance
integer         nCmdShow
end function InitInstance
end interface

interface
integer function  MainWndProc(hWnd,messsage,wParam,lParam)
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_MainWndProc@16' :: MainWndProc
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS : 'MainWndProc' :: MainWndProc
!DEC$ ENDIF
integer     hWnd
integer     messsage
integer     wParam
integer     lParam
end function MainWndProc
end interface

interface
integer function  About(hDlg,messsage,wParam,lParam)
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_About@16' :: About
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS : 'About' :: About
!DEC$ ENDIF
integer     hDlg
integer     messsage
integer     wParam
integer     lParam
end function About
end interface


interface
subroutine dummy (hwnd, uMsg, idEvent, dwTime)
!DEC$ IF DEFINED(_X86_)
!DEC$ ATTRIBUTES STDCALL, ALIAS : '_dummy@16' :: dummy
!DEC$ ELSE
!DEC$ ATTRIBUTES STDCALL, ALIAS : 'dummy' :: dummy
!DEC$ ENDIF
integer hwnd
integer uMsg
integer idEvent
integer dwTime
end subroutine
end interface

end module
